%define Module	Bioperl
%define module	bioperl
%define name	perl-%{Module}
%define version	1.4
%define release	3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	BioPerl core modules
Group:		Development/Perl
License:	Artistic
URL:		http://www.bioperl.org
Source:		http://bioperl.org/DIST/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root

%description
Officially organized in 1995 and existing informally for several years
prior, The Bioperl Project is an international association of developers
of open source Perl tools for bioinformatics, genomics and life science
research.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std
# those should belong to Bioperl-Run instead
%{__rm} -f $RPM_BUILD_ROOT%{_bindir}/bp_pairwise_kaks.pl
%{__rm} -f $RPM_BUILD_ROOT%{_bindir}/bp_blast2tree.pl

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc examples models scripts
%doc AUTHORS BUGS Changes DEPRECATED FAQ INSTALL LICENSE PLATFORMS README
%{_bindir}/*
%{perl_vendorlib}/Bio
%{perl_vendorlib}/*.pl
%{perl_vendorlib}/*.pod

%changelog
* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-3mdk 
- rpmbuildupdate aware

* Sat Jan 10 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-2mdk
- removed scripts that should belong to Bioperl-Run
- tutorial in perl tree

* Tue Dec 30 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-1mdk
- new version
- added scripts

* Tue Sep 23 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2.3-1mdk
- 1.2.3

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.2.2-3mdk
- Macroize
- %%makeinstall_std
- Here document to avoid interactive questions.

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2.2-2mdk
- fixed requires

* Fri Jul 18 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2.2-1mdk
- 1.2.2
- no more explicit requires

* Tue Apr 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2.1-1mdk
- 1.2.1

* Fri Feb 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2-1mdk
- first mdk release with a spec stolen from Luc Ducazu <luc@biolinux.org>
